- entityDefinitions:
  - IDC_ArithmeticOperator: '{b31f5d08-5c3e-4da8-b6db-7bf65a0faf1e}'
  
  - IDI_ArithmeticOperator_Add: '{04a1cf5e-a38f-46ef-9e34-c619a41866fa}'
  - IDI_ArithmeticOperator_Subtract: '{64ea1785-3a4d-4e20-b0f6-d90d189f9861}'
  - IDI_ArithmeticOperator_Multiply: '{246dfaf3-4caf-409e-8f74-99cd730f6ae3}'
  - IDI_ArithmeticOperator_Divide: '{abf2ce5e-c6c9-4789-8ebe-dab7d4973c55}'
  - IDI_ArithmeticOperator_Power: '{ed47da30-c066-4230-8aff-2efd2e0176df}'
  - IDI_ArithmeticOperator_Root: '{1773e5ff-29e5-445a-88cc-1ad9e56b4e29}'
  - IDI_ArithmeticOperator_LShift: '{1f3e720a-53a9-4251-a412-484f6441e57b}'
  - IDI_ArithmeticOperator_RShift: '{df716fc2-9d84-41fb-a853-7ac6e6f9d548}'
  - IDI_ArithmeticOperator_Logarithm: '{f8c9ef0a-c7ce-4442-8b83-ee6bd545992e}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ArithmeticOperator;'
    name: 'Arithmetic Operator'
    index: 1265
    # inherits: '&IDC_BooleanOperator;'
    # superclasses:
    # - instance: '&IDC_BooleanOperator;'
    description: operator that is the target of an Arithmetic Calculation
    customTagName: 'arithmeticOperator'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'

  - arithmeticOperator: '&IDI_ArithmeticOperator_Add;'
    name: 'add'

  - arithmeticOperator: '&IDI_ArithmeticOperator_Subtract;'
    name: 'subtract'

  - arithmeticOperator: '&IDI_ArithmeticOperator_Multiply;'
    name: 'multiply'

  - arithmeticOperator: '&IDI_ArithmeticOperator_Divide;'
    name: 'divide'

  - arithmeticOperator: '&IDI_ArithmeticOperator_Power;'
    name: 'power'

  - arithmeticOperator: '&IDI_ArithmeticOperator_Root;'
    name: 'root'

  - arithmeticOperator: '&IDI_ArithmeticOperator_LShift;'
    name: 'left shift'

  - arithmeticOperator: '&IDI_ArithmeticOperator_RShift;'
    name: 'right shift'

  - arithmeticOperator: '&IDI_ArithmeticOperator_Logarithm;'
    name: 'logarithm'
